[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit '_crw_ascio' (#crwlib)

# TStdIOWrapper

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_ascio.pas line 128

`type TStdIOWrapper = class(TMasterObject)`
`public`
`constructor Create;`
`destructor Destroy; override;`
`procedure Clear;`
`procedure ClearCommands;`
`function Process();`
`function AddCommand();`
`function TryGet();`
`function TryPut();`
`property Get: LongString; [r]`
`property Put: LongString; [w]`
`property Capacity: Integer; [rw]`
`property Priority: TThreadPriority; [rw]`
`property Count: Integer; [r]`
`property Space: Integer; [r]`
`property TimeOut: Cardinal; [rw]`
`property SpecHandler: TStdIoSpecialHandler; [w]`
`end;`

## Inheritance

`TStdIOWrapper`
`TMasterObject`
`TObject`